VERSION 5.00
Begin VB.Form frmDisplayOptions 
   Caption         =   "English phonology search"
   ClientHeight    =   5475
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   9075
   Icon            =   "frmDisplayOptions.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   5475
   ScaleWidth      =   9075
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSmallSpreadsheet 
      Caption         =   "Small, spreadsheet"
      Height          =   375
      Left            =   4440
      TabIndex        =   18
      Top             =   1200
      Width           =   1935
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit program"
      Height          =   375
      Left            =   4560
      TabIndex        =   17
      Top             =   2520
      Width           =   4095
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "Return to main menu"
      Height          =   375
      Left            =   360
      TabIndex        =   16
      Top             =   2520
      Width           =   4095
   End
   Begin VB.CommandButton cmdRememberLocations 
      Caption         =   "Save these choices"
      Height          =   255
      Left            =   3600
      TabIndex        =   15
      Top             =   4800
      Width           =   1935
   End
   Begin VB.TextBox txtWordProcessorLocation 
      Height          =   375
      Left            =   360
      TabIndex        =   14
      Top             =   4320
      Width           =   8295
   End
   Begin VB.TextBox txtSpreadsheetLocation 
      Height          =   375
      Left            =   360
      TabIndex        =   12
      Top             =   3600
      Width           =   8295
   End
   Begin VB.CommandButton cmdMediumWordProcessor 
      Caption         =   "Medium, word processor"
      Height          =   375
      Left            =   2400
      TabIndex        =   10
      Top             =   1680
      Width           =   1935
   End
   Begin VB.CommandButton cmdFullWordProcessor 
      Caption         =   "Full, word processor"
      Height          =   375
      Left            =   360
      TabIndex        =   9
      Top             =   1680
      Width           =   1935
   End
   Begin VB.CommandButton cmdTinyWordProcessor 
      Caption         =   "Small, word processor"
      Height          =   375
      Left            =   4440
      TabIndex        =   8
      Top             =   1680
      Width           =   1935
   End
   Begin VB.CommandButton cmdMediumSpreadsheet 
      Caption         =   "Medium, spreadsheet"
      Height          =   375
      Left            =   2400
      TabIndex        =   7
      Top             =   1200
      Width           =   1935
   End
   Begin VB.CommandButton cmdFullSpreadsheet 
      Caption         =   "Full, spreadsheet"
      Height          =   375
      Left            =   360
      TabIndex        =   6
      Top             =   1200
      Width           =   1935
   End
   Begin VB.Line Line2 
      X1              =   360
      X2              =   8640
      Y1              =   2280
      Y2              =   2280
   End
   Begin VB.Line Line1 
      X1              =   360
      X2              =   8760
      Y1              =   3120
      Y2              =   3120
   End
   Begin VB.Label Label8 
      Caption         =   "Where is your word processor or text editor? (Give full path, usually starts with c:.)"
      Height          =   495
      Left            =   360
      TabIndex        =   13
      Top             =   4080
      Width           =   6015
   End
   Begin VB.Label Label7 
      Caption         =   "Where is your spreadsheet program?  (Give full path, usually starts with c:.)"
      Height          =   255
      Left            =   360
      TabIndex        =   11
      Top             =   3360
      Width           =   6015
   End
   Begin VB.Label Label6 
      Caption         =   "Word processor or text editor"
      Height          =   375
      Left            =   6600
      TabIndex        =   5
      Top             =   1800
      Width           =   2175
   End
   Begin VB.Label Label5 
      Caption         =   "Spreadsheet"
      Height          =   375
      Left            =   6600
      TabIndex        =   4
      Top             =   1320
      Width           =   2175
   End
   Begin VB.Label Label4 
      Caption         =   "Search is complete!   Select how you would like to view the result."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   360
      TabIndex        =   3
      Top             =   360
      Width           =   6015
   End
   Begin VB.Label Label3 
      Caption         =   "Small output file"
      Height          =   255
      Left            =   4800
      TabIndex        =   2
      Top             =   840
      Width           =   2055
   End
   Begin VB.Label Label2 
      Caption         =   "Medium-size output file"
      Height          =   255
      Left            =   2520
      TabIndex        =   1
      Top             =   840
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Full-size output file"
      Height          =   255
      Left            =   720
      TabIndex        =   0
      Top             =   840
      Width           =   1455
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
   End
End
Attribute VB_Name = "frmDisplayOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdRememberLocations_Click()
    Let Form1.mSpreadsheetLocation = txtSpreadsheetLocation.Text
    Let Form1.mWordProcessorLocation = txtWordProcessorLocation.Text
    Call Form1.SaveSettings
End Sub


'Call up programs to display output files.

Private Sub Form_Load()
    Let Me.Left = (Screen.Width - Me.Width) / 2
    Let Me.Top = (Screen.Height - Me.Height) / 2
    Let txtWordProcessorLocation.Text = Form1.mWordProcessorLocation
    Let txtSpreadsheetLocation.Text = Form1.mSpreadsheetLocation
End Sub

Private Sub cmdFullSpreadsheet_Click()
    Shell Form1.mSpreadsheetLocation + " " + Chr(34) + App.Path + "\FullOutput.txt" + Chr(34), vbNormalFocus
End Sub
Private Sub cmdFullWordProcessor_Click()
    Shell Form1.mWordProcessorLocation + " " + Chr(34) + App.Path + "\FullOutput.txt" + Chr(34), vbNormalFocus
End Sub
Private Sub cmdMediumSpreadsheet_Click()
    Shell Form1.mSpreadsheetLocation + " " + Chr(34) + App.Path + "\MediumOutput.txt" + Chr(34), vbNormalFocus
End Sub
Private Sub cmdMediumWordProcessor_Click()
    Shell Form1.mWordProcessorLocation + " " + Chr(34) + App.Path + "\MediumOutput.txt" + Chr(34), vbNormalFocus
End Sub
Private Sub cmdSmallSpreadsheet_Click()
    Shell Form1.mSpreadsheetLocation + " " + Chr(34) + App.Path + "\smallOutput.txt" + Chr(34), vbNormalFocus
End Sub
Private Sub cmdTinyWordProcessor_Click()
    Shell Form1.mWordProcessorLocation + " " + Chr(34) + App.Path + "\SmallOutput.txt" + Chr(34), vbNormalFocus
End Sub

Private Sub cmdBack_Click()
    Unload Me
    Let Form1.Visible = True
End Sub
Private Sub cmdExit_Click()
    Call Form1.cmdExit_Click
End Sub

Private Sub mnuHelp_Click()
    Load frmHelp
    Call frmHelp.cmdReadingOutputFiles_Click
    Let frmHelp.Visible = True
End Sub
